{% extends "account/home/base.html" %}
{% import 'account/macros.html' as macros %}

{% set usertype = user.profile.profile_type %}

{% block content_class %}{{ usertype }}{% endblock %}

{% block content %}
    {{ super() }}
    <h1>{{ _("%s_dashboard.title" % usertype) }}</h1>

    <p>{{ _("%s_dashboard.text (user)" % usertype)|f(user=user)|markdown }}</p>
{% endblock %}


{% block aside %}
    <article>
        <a href="{{ url('shop:survey') }}" class="step-button">{{ _("%s_dashboard.side.buy" % usertype) }}</a>
        <a href="{{ url('account:patient_create') }}" class="step-button">{{ _("%s_dashboard.side.add_client" % usertype) }}</a>
        <a href="{{ url('survey:assign_patient') }}" class="step-button">{{ _("%s_dashboard.side.assign" % usertype) }}</a>
    </article>

    <article>
        <h1>{{ _("%s_dashboard.side.credit.title" % usertype) }}</h1>
        {% if user.credits.all() %}
        <table class="large-12 columns">
            <tr>
                <th>{{ _("%s_dashboard.side.credit.survey_label" % usertype) }}</th>
                <th>{{ _("%s_dashboard.side.credit.amount_label" % usertype) }}</th>
            </tr>
            {% for credit in user.credits %}
            <tr>
                <td>{{ credit.survey }}</td>
                <td>{{ credit.amount }}</td>
            </tr>
            {% endfor %}
        </table>
        {% else %}
        <p>{{ _("%s_dashboard.side.credit.empty" % usertype) }}</p>
        {% endif %}

        <h1>{{ _("%s_dashboard.side.clients.title" % usertype) }}</h1>
        <div id="clients-list" class="filterable">
          <input class="search" placeholder="{{ _('Search') }}" />
          <ul class="list">
            {% for patient in user.profile.patients %}
            <li><a class="name" href="{{ url('account:patient_edit', patient.pk) }}">{{ patient }}</a></li>
            {% endfor %}
            <li>
          </ul>
        </div>

    </article>
{% endblock %}
